summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Christoph Willing <chris.willing@iinet.net.au>2015-02-23 22:25:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-23 22:50:49 +0700
commit8532c7bb722cfcc71d752a173ca69a26e1439198 (patch)
tree96a4473b38ede426dff4832f332b862dcd61d8b2 /audio
parent423ce1420769a5dbe9da7ea7001bcf8ae5b71ad5 (diff)
downloadslackbuilds-8532c7bb722cfcc71d752a173ca69a26e1439198.tar.gz
slackbuilds-8532c7bb722cfcc71d752a173ca69a26e1439198.tar.xz
audio/ponymix: Added (PulseAudio CLI mixer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/ponymix/README12
-rw-r--r--audio/ponymix/ponymix.SlackBuild90
-rw-r--r--audio/ponymix/ponymix.info10
-rw-r--r--audio/ponymix/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/audio/ponymix/README b/audio/ponymix/README
new file mode 100644
index 0000000000..82a261812e
--- /dev/null
+++ b/audio/ponymix/README
@@ -0,0 +1,12 @@
+Ponymix is a command line mixer for PulseAudio.
+
+Typical usage might entail
+1. listing available devices:
+ ponymix list
+2. setting a default device:
+ ponymix -d <YOUR DEVICE HERE> set-default
+3. checking which is the default device:
+ ponymix defaults
+
+For full usage details, use:
+ ponymix help
diff --git a/audio/ponymix/ponymix.SlackBuild b/audio/ponymix/ponymix.SlackBuild
new file mode 100644
index 0000000000..1923b0cbf4
--- /dev/null
+++ b/audio/ponymix/ponymix.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for ponymix
+
+# Copyright 2015 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ponymix
+VERSION=${VERSION:-0.0git20150222}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+sed -i -e "s:usr\/share\/man:usr\/man:" Makefile
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md runtests $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/ponymix/ponymix.info b/audio/ponymix/ponymix.info
new file mode 100644
index 0000000000..470ad58ac7
--- /dev/null
+++ b/audio/ponymix/ponymix.info
@@ -0,0 +1,10 @@
+PRGNAM="ponymix"
+VERSION="0.0git20150222"
+HOMEPAGE="https://github.com/falconindy/ponymix"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/ponymix/ponymix-0.0git20150222.tar.gz"
+MD5SUM="307bee0cc75e1f4aa6c1873744bc71fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pulseaudio"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@iinet.net.au"
diff --git a/audio/ponymix/slack-desc b/audio/ponymix/slack-desc
new file mode 100644
index 0000000000..dee345e7bd
--- /dev/null
+++ b/audio/ponymix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ponymix: ponymix (PulseAudio CLI mixer)
+ponymix:
+ponymix: Ponymix is a command line mixer for PulseAudio.
+ponymix:
+ponymix: For usage, try:
+ponymix: ponymix --help
+ponymix:
+ponymix:
+ponymix:
+ponymix:
+ponymix: